> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meetchase.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch AI SDRs

> Retrieves a list of Bots associated with a specific organisation.

### Path Parameters

- `organisation_id` (`int`): The ID of the organisation for which to retrieve the Bots.

### Headers

- `X-API-Key`: API key for user authentication.

### Response

- Returns a list of `BotExternal` objects, each representing a Bot associated with the organisation. This includes the Bot's ID, email, first name, last name, and any custom data associated with the Bot.

### Errors

- `404 Not Found`: If the specified `organisation_id` does not exist.
- `403 Forbidden`: If the user does not have the necessary permissions to perform this action or is not a member of the specified organisation.



## OpenAPI

````yaml GET /api/v1/bots
openapi: 3.1.0
info:
  title: ChaseLabs API
  version: 0.1.0
servers:
  - url: https://services.meetchase.ai
security: []
paths:
  /api/v1/bots:
    get:
      tags:
        - Public API Routes
        - Bot Routes
      summary: Fetch Organisation Bots Api
      description: >-
        Retrieves a list of Bots associated with a specific organisation.


        ### Path Parameters


        - `organisation_id` (`int`): The ID of the organisation for which to
        retrieve the Bots.


        ### Headers


        - `X-API-Key`: API key for user authentication.


        ### Response


        - Returns a list of `BotExternal` objects, each representing a Bot
        associated with the organisation. This includes the Bot's ID, email,
        first name, last name, and any custom data associated with the Bot.


        ### Errors


        - `404 Not Found`: If the specified `organisation_id` does not exist.

        - `403 Forbidden`: If the user does not have the necessary permissions
        to perform this action or is not a member of the specified organisation.
      operationId: fetch_organisation_bots_api_api_v1_bots_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/BotExternal'
                type: array
                title: Response Fetch Organisation Bots Api Api V1 Bots Get
      security:
        - API Key: []
components:
  schemas:
    BotExternal:
      properties:
        custom_data:
          additionalProperties: true
          type: object
          title: Custom Data
          default: {}
        email:
          type: string
          format: email
          title: Email
        first_name:
          anyOf:
            - type: string
              maxLength: 63
            - type: 'null'
          title: First Name
        last_name:
          anyOf:
            - type: string
              maxLength: 63
            - type: 'null'
          title: Last Name
        id:
          type: integer
          title: Id
        auth_data:
          items:
            $ref: '#/components/schemas/ExternalAuthData'
          type: array
          title: Auth Data
        initial_volume:
          type: integer
          title: Initial Volume
        warmup_increment:
          type: integer
          title: Warmup Increment
        max_daily_limit:
          type: integer
          title: Max Daily Limit
        cname_record:
          anyOf:
            - $ref: '#/components/schemas/CNAMERecord'
            - type: 'null'
        in_pool:
          type: boolean
          title: In Pool
          default: false
        mailivery_status:
          $ref: '#/components/schemas/MailiveryStatus'
        warmup_started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Warmup Started At
        shown_onboarding:
          type: boolean
          title: Shown Onboarding
        dns_validation:
          $ref: '#/components/schemas/DNSValidation'
        status:
          $ref: '#/components/schemas/BotStatus'
        source:
          $ref: '#/components/schemas/BotSource'
      type: object
      required:
        - email
        - id
        - auth_data
        - initial_volume
        - warmup_increment
        - max_daily_limit
        - cname_record
        - mailivery_status
        - shown_onboarding
        - dns_validation
        - status
        - source
      title: BotExternal
      examples:
        - auth_data:
            - auth_type: email
              id: 1
              is_valid: true
              provider: google
            - auth_type: linkedin
              id: 2
              is_valid: false
              provider: linkedin
          cname_record:
            alias: example.com
            id: 1
            valid_record: true
            valid_ssl: true
          custom_data:
            age: 31
            city: London
            country: United Kingdom
            role: Sales Representative
          dns_validation:
            mx: true
            spf: false
          email: robo@example.com
          first_name: Robo
          id: 1
          in_pool: false
          initial_volume: 5
          last_name: Prime
          mailivery_status: PENDING_CONNECTION
          max_daily_limit: 30
          shown_onboarding: true
          source: INBOXKIT
          status: ACTIVE
          warmup_increment: 3
          warmup_started_at: '2025-08-08T14:30:22.005027'
    ExternalAuthData:
      properties:
        id:
          type: integer
          title: Id
        auth_type:
          $ref: '#/components/schemas/AuthType'
        provider:
          $ref: '#/components/schemas/Provider'
        is_valid:
          type: boolean
          title: Is Valid
      type: object
      required:
        - id
        - auth_type
        - provider
        - is_valid
      title: ExternalAuthData
      description: >-
        Contains metadata about the validity of stored authentication data.


        ### Attributes


        - `id` (`int`): The ID of the credentials object.

        - `auth_type` (`str`): The type of service this authentication data is
        for (e.g., email, calendar). A bot/user can only have one of each type.

        - `provider` (`str`): The credentials provider (e.g., google, outlook).

        - `is_valid` (`bool`): Indicates whether the stored authentication data
        is currently valid.
      examples:
        - auth_type: email
          id: 1
          is_valid: true
          provider: google
    CNAMERecord:
      properties:
        alias:
          type: string
          maxLength: 255
          minLength: 1
          title: Alias
        valid_record:
          type: boolean
          title: Valid Record
        valid_ssl:
          type: boolean
          title: Valid Ssl
        id:
          type: integer
          title: Id
      type: object
      required:
        - alias
        - valid_record
        - valid_ssl
        - id
      title: CNAMERecord
      examples:
        - alias: example.com
          id: 1
          valid_record: true
          valid_ssl: true
    MailiveryStatus:
      type: string
      enum:
        - PENDING_CONNECTION
        - PAUSED
        - ACTIVE
        - CONNECTION_ERROR
      title: MailiveryStatus
    DNSValidation:
      properties:
        mx:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Mx
        spf:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Spf
        dkim:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Dkim
        dmarc:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Dmarc
      type: object
      title: DNSValidation
      examples:
        - dns_validation:
            mx: true
            spf: false
    BotStatus:
      type: string
      enum:
        - ACTIVE
        - CANCELLED
        - CONFIGURING
        - CONNECTION_PENDING
        - COOLING_OFF
        - INACTIVE
        - DELETED
        - PROVISIONING
        - PROVISIONING_FAILED
        - SCHEDULED_FOR_CANCELLATION
        - SUSPENDED
        - PAYMENT_FAILED
      title: BotStatus
    BotSource:
      type: string
      enum:
        - INBOXKIT
        - CUSTOMER
      title: BotSource
    AuthType:
      type: string
      enum:
        - calendar
        - email
        - linkedin
      title: AuthType
    Provider:
      type: string
      enum:
        - google
        - dummy
        - outlook
        - linkedin
      title: Provider
      description: Supported credential providers.
  securitySchemes:
    API Key:
      type: apiKey
      description: Key used to authenticate user API requests.
      in: header
      name: X-API-Key

````